You are here: Home ยป Eclipse Luna crashes with KDE on Ubuntu 14.04 LTS (Trusty)

Eclipse Luna crashes with KDE on Ubuntu 14.04 LTS (Trusty)

Posted on Monday, February 16 2015 at 20:47 (Age: 4 yrs) | Category: Java

This is an issue I came across today, after I upgraded my system to Ubuntu 14.04 LTS (Trusty) some days ago and after I also upgraded to Eclipse Luna 4.4.1 (using JDK 8u31):

When importing an existing project into the workspace, the "Import Projects" dialog (where you can select the root directory) still opens, but then the JVM crashes with this assertion:

java: /build/buildd/gtk2-engines-oxygen-1.4.5/src/animations/oxygencomboboxdata.cpp:87: 
void Oxygen::ComboBoxData::setButton(GtkWidget*): Assertion `!_button._widget' failed.

After some searching, I found that this is a known KDE bug (there is also a corresponding Eclipse bug) and it has already been fixed in oxygen-gtk2-1.4.6. This version is already available in Ubuntu 15.04 (Vivid), but not yet in 14.04, so I crated a backport package - you can get it from my Personal Package Archive. After installing the upgraded package, the issue is gone (what remains is a message like Oxygen::WindowManager::wmButtonPress - warning: a button was already set for this combobox which is obvious when we look at the diff (have a look at the oxygencomboboxdata.cpp file).

A different workaround in case you do not want or can install the new oxygen-gtk version is to set a different GTK style in the KDE control center:

Open the KDE System settings and select "Application Appearance". In the dialog choose the GTK category and choose a different GTK style in the "Select a GTK2 Theme" dropdown, e.g. "Ambiance" as in the example below:


Comments

From: Tengu on Saturday, March 21 2015 14:23:17

Thank you!!! o/